%define lib_major 1
%define lib_name  %mklibname %name %{lib_major}
%define lib_dev   %mklibname %name -d

%define rel 2

Name:           qt5keychain
Summary:        Platform-independent Qt5 API for storing passwords securely
Version:        0.7.0
Release:        %mkrel %rel
Url:            https://github.com/frankosterfeld/qtkeychain
License:        LGPLv2+
Group:          Graphical desktop/KDE
Source0:        https://github.com/frankosterfeld/qtkeychain/archive/v%version/qtkeychain-%version.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake

%description
Platform-independent Qt5 API for storing passwords securely.

#------------------------------------------------------------------

%package -n     %{lib_name}
Summary:        Platform-independent Qt5 API for storing passwords securely
Group:          System/Libraries
# ease upgrade mga5 -> mga6 (can be removed for mga7)
Obsoletes:      %{_lib}qt5keychain0 < 0.4-5

%description -n %{lib_name}
Platform-independent Qt5 API for storing passwords securely.

%files -n %{lib_name}
%{_libdir}/libqt5keychain.so.%{lib_major}{,.*}
%{_libdir}/libqt5keychain.so.%{version}
%lang(de) %{_datadir}/qt5/translations/qtkeychain_de.qm
%lang(ro) %{_datadir}/qt5/translations/qtkeychain_ro.qm

#------------------------------------------------------------------

%package -n     %{lib_dev}
Summary:        Development tools for programs which will use the %{name}
Group:          Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{lib_dev}
This package contains the header files and .so libraries
for developing %{name}.

%files -n %{lib_dev}
%doc ChangeLog ReadMe.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/Qt5Keychain

#------------------------------------------------------------------

%prep
%setup -q -n qtkeychain-%version

%build
%cmake_qt5

%make_build

%install
%make_install -C build


%changelog
* Fri Sep 23 2016 daviddavid <daviddavid> 0.7.0-2.mga6
+ Revision: 1055598
- obsoletes old lib to ease upgrade mga5 -> mga6

* Thu Sep 08 2016 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 1050785
- new version: 0.7.0
- now libmajor is 1
- update description and summary

* Sat Feb 06 2016 umeabot <umeabot> 0.4-4.mga6
+ Revision: 940486
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 749900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-2.mga5
+ Revision: 688533
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 colin <colin> 0.4-1.mga5
+ Revision: 674683
- More fixes for BuildRequires
- Fix BuildRequires
- New version: 0.4 (Qt5)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + neoclust <neoclust>
    - Do not requires qtkeychain package as it does not exist
    - imported package qtkeychain

